MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025555Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-12-04 15:462016-09-12 17:29
Reporterazv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025555: Wrong result of classification of a point relative to solid
DescriptionThe result of BRepClass3d_SolidClassifier is wrong
Steps To Reproducerestore p
restore z
bclassify z p
#The point is IN shape, but it should be OUT of shape
Additional information
and documentation updates
The problem found on the test case: bugs step bug24055
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25555
Attached Files? file icon p (98 bytes) 2014-12-04 15:46
? file icon z (17,555 bytes) 2014-12-04 15:47

- Relationships

-  Notes
(0035043)
git (administrator)
2014-12-05 11:25

Branch CR25555 has been created by azv.

SHA-1: a961a58df859e9b85d84adb27c6a7fb3dc1a0396


Detailed log of new commits:

Author: azv
Date: Fri Dec 5 11:25:27 2014 +0300

    0025555: Wrong result of classification of a point relative to solid
    
    Implemented additional verification that the point found by Extrema is placed inside the face. This way turns off searching the additional inner point.
(0035044)
azv (developer)
2014-12-05 11:26

Branch CR25555 is ready for review
(0035047)
ifv (developer)
2014-12-05 11:59

Ok
(0035063)
git (administrator)
2014-12-05 14:41

Branch CR25555 has been updated forcibly by azv.

SHA-1: c6ff21c9e6f35d31f37855a79a5e20cb99090091
(0035076)
git (administrator)
2014-12-05 17:48

Branch CR25555 has been updated forcibly by mkv.

SHA-1: b00de4f4afa9be0ecd1d4c434dbd31d7583a6620
(0035164)
mkv (tester)
2014-12-08 18:45

Dear BugMaster,
Branch CR25555 was rebased on current master of occt git-repository.
(0035167)
mkv (tester)
2014-12-08 19:08

Dear BugMaster,
Branch CR25555 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b00de4f4afa9be0ecd1d4c434dbd31d7583a6620

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests.nnov.opencascade.com/CR25555-master-occt/Debian60-64/bugs/modalg_5/bug25555.html [^]
http://occt-tests.nnov.opencascade.com/CR25555-master-occt/Windows-32-VC10/bugs/modalg_5/bug25555.html [^]
bugs modalg_5(010) bug25555: OK

Testing on Linux:
occt component :
Total MEMORY difference: 364050444 / 363562240
Total CPU difference: 48958.3400000001 / 47537.4299999999
products component :
Total MEMORY difference: 111744520 / 111520992
Total CPU difference: 16172.819999999969 / 15862.939999999984

Testing on Windows:
occt component :
Total MEMORY difference: 277374612 / 277079980
Total CPU difference: 50611.625 / 41680.09375
products component :
Total MEMORY difference: 84071224 / 71187188
Total CPU difference: 14573.375 / 13033.296875

There are no differences in images found by testdiff.
(0035168)
git (administrator)
2014-12-08 19:09

Branch CR25555 has been updated by mkv.

SHA-1: 75502788a34fc5f5d23892c9521c156727a59530


Detailed log of new commits:

Author: mkv
Date: Mon Dec 8 19:09:26 2014 +0300

    Test case for issue CR25555

(0035169)
mkv (tester)
2014-12-08 19:10

Dear azv,
could you please review test case bugs/modalg_5(010)/bug25555
(0035180)
azv (developer)
2014-12-09 07:36

Dear mkv,
The test case is OK.
(0035193)
mkv (tester)
2014-12-09 11:35

OK. Branch CR25555 is TESTED.
(0036585)
git (administrator)
2015-01-26 12:35

Branch CR25555 has been deleted by inv.

SHA-1: 75502788a34fc5f5d23892c9521c156727a59530

- Related Changesets
occt: master 3922a2ec
Timestamp: 2014-12-11 13:06:35
Author: azv
Committer: bugmaster
Details ] Diff ]
0025555: Wrong result of classification of a point relative to solid

Implemented additional verification that the point found by Extrema is placed inside the face. This way turns off searching the additional inner point.

Test case for issue CR25555
mod - src/BRepClass3d/BRepClass3d_SClassifier.cxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SolidExplorer.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25555 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-04 15:46 azv New Issue
2014-12-04 15:46 azv Assigned To => azv
2014-12-04 15:46 azv File Added: p
2014-12-04 15:47 azv File Added: z
2014-12-04 15:47 azv Status new => assigned
2014-12-05 11:25 git Note Added: 0035043
2014-12-05 11:26 azv Note Added: 0035044
2014-12-05 11:26 azv Assigned To azv => ifv
2014-12-05 11:26 azv Status assigned => resolved
2014-12-05 11:28 azv Steps to Reproduce Updated View Revisions
2014-12-05 11:59 ifv Note Added: 0035047
2014-12-05 11:59 ifv Assigned To ifv => bugmaster
2014-12-05 11:59 ifv Status resolved => reviewed
2014-12-05 14:41 git Note Added: 0035063
2014-12-05 16:54 mkv Assigned To bugmaster => mkv
2014-12-05 17:48 git Note Added: 0035076
2014-12-08 18:45 mkv Note Added: 0035164
2014-12-08 19:08 mkv Note Added: 0035167
2014-12-08 19:09 git Note Added: 0035168
2014-12-08 19:10 mkv Note Added: 0035169
2014-12-08 19:10 mkv Assigned To mkv => azv
2014-12-08 19:10 mkv Status reviewed => feedback
2014-12-08 19:10 mkv Test case number => bugs modalg_5(010) bug25555
2014-12-09 07:36 azv Note Added: 0035180
2014-12-09 07:36 azv Assigned To azv => mkv
2014-12-09 07:36 azv Status feedback => reviewed
2014-12-09 11:35 mkv Note Added: 0035193
2014-12-09 11:35 mkv Assigned To mkv => bugmaster
2014-12-09 11:35 mkv Status reviewed => assigned
2014-12-09 11:35 mkv Assigned To bugmaster => msv
2014-12-09 11:35 mkv Status assigned => resolved
2014-12-09 11:36 mkv Assigned To msv => bugmaster
2014-12-09 11:36 mkv Status resolved => reviewed
2014-12-09 11:36 mkv Status reviewed => tested
2014-12-16 16:46 bugmaster Changeset attached => occt master 3922a2ec
2014-12-16 16:46 bugmaster Status tested => verified
2014-12-16 16:46 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.0.0 => 6.9.0
2015-01-26 12:35 git Note Added: 0036585
2015-04-17 11:03 aiv Project Internal => Open CASCADE
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2016-09-12 17:29 nbv Relationship added has duplicate 0027851


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker